using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class Default4 : System.Web.UI.Page
{
    protected int cegID;
    protected void Page_Load(object sender, EventArgs e)
    {
        string UserName = Page.User.Identity.Name;
        db.adatbazisMuveletek.UserNameToCegID(UserName, out cegID);

        if (!IsPostBack)
        {
            ddlBeosztas.Items.Clear();
            ddlBeosztas.Items.Add("Válassz...");
            ddlBeosztasFeltolt();
        }
    }
    public void ddlBeosztasFeltolt()
    {
        System.Collections.Generic.List<db.beosztas> beosztasElemek = new System.Collections.Generic.List<db.beosztas>();
        db.adatbazisMuveletek.beosztasLekerdez(out beosztasElemek);
        for (int i = 0; i < beosztasElemek.Count; i++)
        {
            ddlBeosztas.Items.Add(new ListItem(beosztasElemek[i].beosztasNev.ToString(), beosztasElemek[i].beosztasID.ToString()));
        }
    }
    protected void btnMent_Click(object sender, EventArgs e)
    {
        
        int beosztasID = 0;
        string UserName = Page.User.Identity.Name;
        db.adatbazisMuveletek.UserNameToCegID(UserName, out cegID);
        beosztasID = ddlBeosztas.SelectedIndex;
        db.adatbazisMuveletek.kontaktRogzitCEGID(cegID, beosztasID, txtKapcsolattarto.Text, txtTelSzam.Text, txtFax.Text, txtMobil.Text, txtMail.Text,UserName);
        
    }
    
    
}